## SOUNDS-Prädikat (sounds_predicate)

Durch die Angabe eines SOUNDS-Prädikats (sounds_predicate) wird ein phonetischen Vergleich durchgeführt.

### Syntax

<sound_predicate> ::= <expression> [NOT] SOUNDS [LIKE] <expression>

### Erläuterung

Die Angabe von LIKE im SOUNDS-Prädikat hat keine Wirkung.

Die Werte der Ausdrücke (expression) müssen alphanumerisch sein (Codeattribut ASCII).

Ein phonetischer Vergleich zwischen Werten erfolgt nach dem SOUNDEX-Algorithmus. Dabei werden alle Vokale und einige Konsonanten eliminiert und alle ähnlich klingenden Konsonanten aufeinander abgebildet.

x [NOT] SOUNDS [LIKE] y

| Ergebnis des Prädikats
x oder y ist NULL-Wert | x SOUNDS y ist undefiniert
x und y sind Nicht-NULL-Werte | x SOUNDS y ist wahr oder falsch
x und y sind phonetisch gleich | x SOUNDS y ist wahr

x NOT SOUNDS y hat das gleiche Ergebnis wie NOT (x SOUNDS y).

Siehe auch:

Stringfunktion SOUNDEX(x)